{
  "author": "Paul A. Yushkevich, Guido Gerig",
  "cite": "http://itksnap.org",
  "command": "python apps/ITK-SNAP/run.py",
  "config": {
    "z": {
      "description": "Specify initial zoom in screen pixels/mm",
      "type": "integer"
    },
    "threads": {
      "description": "Limit maximum number of CPU cores used to N",
      "type": "integer"
    },
    "scale": {
      "description": "Scale all GUI elements by factor of N (e.g., 2).",
      "type": "integer"
    },
    "geometry": {
      "description": "Initial geometry of the main window in the form of WxH+X+Y",
      "type": "string"
    }
  },
  "custom": {
    "flywheel": {
      "suite": "Segmentation"
    },
    "methods": {
      "Native_OS": {
        "Darwin": {
          "path": "/Applications/ITK-SNAP.app/Contents/MacOS/ITK-SNAP",
          "project_exts": [
            "nii",
            "nii.gz"
          ]
        },
        "Linux": {
          "path": "~/.local/bin/itksnap",
          "project_exts": [
            "nii",
            "nii.gz"
          ]
        },
        "Windows": {
          "path": "C:\\Program Files\\ITK-SNAP 4.0\\bin\\ITK-SNAP.exe",
          "project_exts": [
            "nii",
            "nii.gz"
          ]
        }
      }
    }
  },
  "description": "An open-source software application for medical image segmentation. Its primary use is for delineating anatomical structures and regions in MRI, CT and other 3D biomedical imaging data. ITK-SNAP is actively developed by Paul Yushkevich, Hui Zhang, and colleagues at the Penn Image Computing and Science Laboratory at the University of Pennsylvania.",
  "inputs": {
    "g": {
      "base": "file",
      "description": "main image file",
      "optional": false
    },
    "s": {
      "base": "file",
      "description": "segmentatoin image file",
      "optional": false
    },
    "l": {
      "base": "file",
      "description": "label descriptions file",
      "optional": true
    },
    "o1": {
      "base": "file",
      "description": "additional image file(s)",
      "optional": false
    },
    "o2": {
      "base": "file",
      "description": "additional image file(s)",
      "optional": false
    },
    "o3": {
      "base": "file",
      "description": "additional image file(s)",
      "optional": false
    },
    "o4": {
      "base": "file",
      "description": "additional image file(s)",
      "optional": false
    }
  },
  "label": "ITK-SNAP",
  "license": "GNU GENERAL PUBLIC LICENSE Version 3",
  "maintainer": "Flywheel <support@flywheel.io>",
  "name": "ITK-SNAP",
  "outputs": {
    "s": {
      "base": "file",
      "description": "NIfTI segmentation file containing regions of interest",
      "optional": false,
      "default": "itk-snap-seg.nii.gz"
    }
  },
  "source": "http://itksnap.org",
  "url": "https://github.com/flywheel-apps/fw-app-launcher/apps/ITK-SNAP",
  "version": "0.0.2_3.8.0"
}
